%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:		openstack-swift-plugin-swift3
Version:	1.11.0
Release:	6%{?dist}
Summary:	The swift3 plugin for Openstack Swift

License:	ASL 2.0
URL:		https://github.com/openstack/swift3
Source0:	https://tarballs.openstack.org/swift3/swift3-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=v1.11
#
Patch0001: 0001-Allow-IPv6-addresses-in-auth_host-config-option.patch
Patch0002: 0002-Raise-error-if-neither-auth_uri-nor-auth_host-config.patch
Patch0003: 0003-Add-delay_auth_decision-config-option.patch
Patch0004: 0004-Stop-using-email.utils.mktime_tz.patch
Patch0005: 0005-Remove-version-from-setup.cfg.patch
Patch0006: 0006-Add-http_timeout-config-option.patch
Patch0007: 0007-Add-small-change-for-debugging.patch
Patch0008: 0008-Small-updates-for-readme.patch
Patch0009: 0009-Fix-error-message.patch
Patch0010: 0010-Unpin-python-openstackclient-in-test-requirements.tx.patch
Patch0011: 0011-Add-new-tox-environment-with-Swift-master-branch.patch
Patch0012: 0012-Add-ceph-s3-tests-tox-env.patch
Patch0013: 0013-Shorten-ceph-s3-tests-tox-environment-names.patch
Patch0014: 0014-Pass-arguments-to-nosetests-in-run_test.sh.patch
Patch0015: 0015-Put-nested-virtualenv-in-TMP.patch
Patch0016: 0016-Fix-Handler-typo-in-acl_handlers.py.patch
Patch0017: 0017-Properly-strip-headers-for-request-signing.patch
Patch0018: 0018-Exclude-scratch-in-tox-flake8.patch
Patch0019: 0019-Move-min-segment-size-configuration-to-swift3.patch
Patch0020: 0020-Relax-bucket-creation-schema.patch
Patch0021: 0021-Pass-run_test.sh-arguments-to-run_ceph_tests.py.patch
Patch0022: 0022-Fix-far-future-date-handling.patch
Patch0023: 0023-Only-make-one-request-to-Keystone-per-S3-request.patch
Patch0024: 0024-Update-how-we-set-up-Keystone.patch
Patch0025: 0025-Bump-minimum-Swift-requirement-to-Ocata-stable.patch
Patch0026: 0026-Let-s3compat-repo-manage-the-ceph-tests-requirements.patch
Patch0027: 0027-Stop-using-client-headers-for-cross-middleware-commu.patch
Patch0028: 0028-Prohibit-certain-versions-of-requests-in-test-requir.patch
Patch0029: 0029-Add-support-for-v3-Keystone-responses.patch
Patch0030: 0030-Add-check_signature-function-to-swift3.auth_details.patch
Patch0031: 0031-Rename-GOOD_RESPONSE-to-be-version-specific.patch
Patch0032: 0032-Using-assertIsNone-instead-of-assertEqual-None.patch

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-setuptools

Requires:	openstack-swift >= 2.1.0
Requires:   python-lxml
Requires:   python-requests

%description
The swift3 plugin permits accessing Openstack Swift via the
Amazon S3 API.

%prep
%setup -q -n swift3-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1

%build
%{__python2} setup.py build

%install
rm -rf %{buildroot}
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%files
%defattr(-,root,root,-)
%license LICENSE
%{python2_sitelib}/swift3-*.egg-info/
%{python2_sitelib}/swift3/
%doc AUTHORS README.md

%changelog
* Mon Apr 17 2017 Steve Linabery <slinaber@redhat.com> 1.11.0-6
- Using assertIsNone() instead of assertEqual(None)

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 1.11.0-5
- Rename GOOD_RESPONSE to be version-specific
- Add check_signature function to swift3.auth_details
- Add support for v3 Keystone responses
- Prohibit certain versions of requests in test-requirements.txt

* Wed Mar 15 2017 Jason Joyce <jjoyce@redhat.com> 1.11.0-4
- Stop using client headers for cross-middleware communication
- Let s3compat repo manage the ceph-tests requirements
- Bump minimum Swift requirement to Ocata stable
- Update how we set up Keystone
- Only make one request to Keystone per S3 request
- Fix far-future date handling
- Pass run_test.sh arguments to run_ceph_tests.py
- Relax bucket creation schema

* Fri Jan 13 2017 Jon Schlueter <jschluet@redhat.com> 1.11.0-3
- Move min segment size configuration to swift3
- Exclude "scratch" in tox flake8
- Properly strip headers for request signing
- Fix "Handler" typo in acl_handlers.py
- Put nested virtualenv in $TMP
- Pass arguments to nosetests in run_test.sh
- Shorten ceph s3-tests tox environment names
- Add ceph-s3-tests tox env
- Add new tox environment with Swift master branch

* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 1.11.0-2
- Unpin python-openstackclient in test-requirements.txt
- Fix error message
- Small updates for readme
- Add small change for debugging
- Add http_timeout config option
- Remove version from setup.cfg
- Stop using email.utils.mktime_tz
- Add delay_auth_decision config option
- Raise error if neither auth_uri nor auth_host configured
- Allow IPv6 addresses in auth_host config option

* Wed Sep 14 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 1.11.0-1
- Upstream 1.11.0
